Package com.sas.lsaf.workflow.task

## Enum TaskQuery.AssigneeType

- java.lang.Object
- - java.lang.Enum<TaskQuery.AssigneeType>
  - - com.sas.lsaf.workflow.task.TaskQuery.AssigneeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskQuery.AssigneeType>`
  Enclosing class:
    TaskQuery

      public static enum TaskQuery.AssigneeType
      extends java.lang.Enum<TaskQuery.AssigneeType>

  The valid values for the assignee type that describes the method to search for user task assignees.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Searches for an assignee.
    `CURRENT_USER` | Searches for tasks in which the current user is the assignee, a candidate, or in a process flow that the current user owns.
    `SPECIFIC_ASSIGNEE` | Requires assignees to be specified in the query.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskQuery.AssigneeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskQuery.AssigneeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CURRENT_USER

          public static final TaskQuery.AssigneeType CURRENT_USER

      Searches for tasks in which the current user is the assignee, a candidate, or in a process flow that the current user owns.

    - #### SPECIFIC_ASSIGNEE

          public static final TaskQuery.AssigneeType SPECIFIC_ASSIGNEE

      Requires assignees to be specified in the query. Searches for tasks in which the specified users are assignees, candidates, or in a process flow that the specified user owns.

    - #### ALL

          public static final TaskQuery.AssigneeType ALL

      Searches for an assignee.

  - ### Method Detail

    - #### values

          public static TaskQuery.AssigneeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskQuery.AssigneeType c : TaskQuery.AssigneeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskQuery.AssigneeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null